## IdeCompletionProvider IdeCompletionProvider |

## Functions

gboolean | ide_completion_provider_context_in_comment ()
gboolean | ide_completion_provider_context_in_comment_or_string ()
gchar * | ide_completion_provider_context_current_word ()

## Properties

IdeContext * | context | Write / Construct Only

## Types and Values

struct | IdeCompletionProviderInterface

## Object Hierarchy

        GInterface
        ╰── IdeCompletionProvider

## Description

## Functions

### ide_completion_provider_context_in_comment ()

    gboolean
    ide_completion_provider_context_in_comment
                                   (GtkSourceCompletionContext *context);

### ide_completion_provider_context_in_comment_or_string ()

    gboolean
    ide_completion_provider_context_in_comment_or_string
                                   (GtkSourceCompletionContext *context);

### ide_completion_provider_context_current_word ()

    gchar *
    ide_completion_provider_context_current_word
                                   (GtkSourceCompletionContext *context);

## Types and Values

### struct IdeCompletionProviderInterface

    struct IdeCompletionProviderInterface {
      GtkSourceCompletionProviderIface parent_interface;

      /* Pacify Vala */
      void (*set_context) (IdeCompletionProvider *self,
                           IdeContext            *context);
    };

## Property Details

### The `“context”` property

      “context”                  IdeContext *

Context.

Flags: Write / Construct Only